Bug 37576 - Opening new port category hungarian
Summary: Opening new port category hungarian
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-29 20:30 UTC by Janos Mohacsi
Modified: 2002-11-18 09:58 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janos Mohacsi 2002-04-29 20:30:01 UTC
I have submitted recently some new ports, that might require a new category
hungarian. All of them hungarian language related: dictionaries and spell 
checker extensions. 

The submitted new ports:

ports/37409  
ports/37446
ports/37447
ports/37449 

Do you want to open a new category like german, russian etc..?

Best Regards,
		Janos Mohacsi

Fix: 

For clean installation 'hungarian' had to be added to 
VALID_CATEGORIES in /usr/ports/Mk/bsd.port.mk .
How-To-Repeat: 
Apply the new ports above.
Comment 1 Ade Lovett freebsd_committer 2002-05-06 20:23:28 UTC
State Changed
From-To: open->analyzed

General consensus is that there must be at least 5 ports (preferably 
more) before a new category directory is created.  Do you have any 
further ports in the pipe, so that everything could be done at once? 


Comment 2 Ade Lovett freebsd_committer 2002-05-06 20:23:28 UTC
Responsible Changed
From-To: freebsd-ports->portmgr

New port category == portmgr territory.
Comment 3 Janos Mohacsi 2002-06-20 22:52:55 UTC
Dear Port Managers.
	
Currently pending hungarian category related ports:

ports/39308 : hu-ispell - Hungarian ispell
ports/39597 : English-Hungarian dictionary plugin for jdictionary
ports/39598 : English-Hungarian expression dictionary plugin for jdictionary
ports/39600 : German-Hungarian dictionary plugin for jdictionary
ports/39601 : French-Hungarian dictionary plugin for jdictionary

There is a hungarian port kde3-i18n-hu that you might consider "moving" to 
hungarian category.

One possible pending application might exist. I started porting Hungarian 
menu system  of Ted editor. But I am not very convinced about whether it is 
useful or not since there is no such a port exist for other 
languages.  Your ideas?

I hope that I can publish an additional hungarian related port during the 
weekend, but some more testing needed.

Best Regards,
		Janos Mohacsi
Comment 4 Akinori MUSHA freebsd_committer 2002-11-18 09:53:26 UTC
State Changed
From-To: analyzed->closed

New real, language specific category added, thanks! 

Actually, there is no minimum number of ports for a language specific 
category to be added.  Sorry to bother you.